Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Principal

    java.lang.Object
      org.omg.CORBA.Principal

Deprecated. Deprecated by CORBA 2.2.

    @Deprecated
    public class Principal

extends Object

A class that contains information about the identity of the client, for access control and other purposes. It contains a single attribute, the name of the `Principal`, encoded as a sequence of bytes.

Constructor Summary
`Principal()` Deprecated.

Method Summary
`byte[]` | `name()` Deprecated. Deprecated by CORBA 2.2.
`void` | `name(byte[] value)` Deprecated. Deprecated by CORBA 2.2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Principal

    public Principal()

  Deprecated.

Method Detail

### name

    @Deprecated
    public void name(byte[] value)

  Deprecated. Deprecated by CORBA 2.2.

  Sets the name of this `Principal` object to the given value.

  Parameters:
    `value` - the value to be set in the `Principal`

### name

    @Deprecated
    public byte[] name()

  Deprecated. Deprecated by CORBA 2.2.

  Gets the name of this `Principal` object.

  Returns:
    the name of this `Principal` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.